Skip to main content
PATCH
/
api
/
v2
/
webhooks
/
{id}
Update webhook
curl --request PATCH \
  --url https://app.launchdarkly.com/api/v2/webhooks/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "op": "replace",
    "path": "/on",
    "value": false
  }
]
'
{
  "_links": {},
  "_id": "57be1db38b75bf0772d11384",
  "url": "http://www.example.com",
  "on": true,
  "tags": [
    "examples"
  ],
  "name": "Example hook",
  "secret": "frobozz",
  "statements": [
    {
      "effect": "allow",
      "resources": [
        "proj/*:env/*;qa_*:/flag/*"
      ],
      "notResources": [
        "<string>"
      ],
      "actions": [
        "*"
      ],
      "notActions": [
        "<string>"
      ]
    }
  ],
  "_access": {
    "denied": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ],
    "allowed": [
      {
        "action": "<string>",
        "reason": {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ],
          "role_name": "<string>"
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string<string>
required

The ID of the webhook to update

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Webhook response

The location and content type of related resources

_id
string
required

The ID of this webhook

Example:

"57be1db38b75bf0772d11384"

url
string
required

The URL to which LaunchDarkly sends an HTTP POST payload for this webhook

Example:

"http://www.example.com"

on
boolean
required

Whether or not this webhook is enabled

Example:

true

tags
string[]
required

List of tags for this webhook

Example:
["examples"]
name
string

A human-readable name for this webhook

Example:

"Example hook"

secret
string

The secret for this webhook

Example:

"frobozz"

statements
object[]

Represents a Custom role policy, defining a resource kinds filter the webhook responds to.

_access
object

Details on the allowed and denied actions for this webhook